# API Reference

- [Live Entities](https://docs.uiza.io/api-reference/live-entities.md)
- [Create A Live Entity](https://docs.uiza.io/api-reference/live-entities/create-a-live-entity.md): To start live streaming, you need to create an Live Entity object. Once the request is received, Uiza will allocate resources to serve your live stream.
- [Retrieve A Live Entity](https://docs.uiza.io/api-reference/live-entities/retrieve-a-live-entity.md): Retrieves the details of an existing Live Entity. The entity’s id that was returned upon entity creation is required for identifying the exact live entity to be retrieved.
- [Update A Live Entity](https://docs.uiza.io/api-reference/live-entities/update-a-live-entity.md): Updates a specified live entity's name, description, dvr setting, or relays. Any parameters not provided will be left unchanged.
- [\[Deprecated\] Update A Live Entity](https://docs.uiza.io/api-reference/live-entities/deprecated-update-a-live-entity.md): Updates a specified live entity's name and/or description. Any parameters not provided will be left unchanged.
- [Delete A Live Entity](https://docs.uiza.io/api-reference/live-entities/delete-a-live-entity.md): Permanently deletes a live entity. You need to stop broadcasting from your end to be able to delete a live entity. Once a live entity is deleted, it cannot be undone.
- [List All Live Entities](https://docs.uiza.io/api-reference/live-entities/list-all-live-entities.md): Returns a list of existing live entities in descending order by creation date (the most recently created one is on top)
- [\[Deprecated\] Enable Live Entity DVR](https://docs.uiza.io/api-reference/live-entities/enable-live-entity-dvr.md): Enable DVR option for a Live Entity
- [\[Deprecated\] Disable Live Entity DVR](https://docs.uiza.io/api-reference/live-entities/disable-live-entity-dvr.md): Disable DVR option for a Live Entity
- [Reset Ingest Key](https://docs.uiza.io/api-reference/live-entities/reset-ingest-key.md): This endpoint allows you to reset your ingest key
- [Live Sessions](https://docs.uiza.io/api-reference/live-sessions.md)
- [Retrieve A Live Session](https://docs.uiza.io/api-reference/live-sessions/retrieve-a-live-session.md): Retrieves the details of an existing live session. The live session’s id that was returned upon retrieving all live sessions is required for identifying the exact one to be retrieved.
- [List All Live Sessions](https://docs.uiza.io/api-reference/live-sessions/list-all-live-sessions.md): Returns a list of existing live sessions that belong to the requested live entity, in sorted order where the most recently created live session shows up first.
- [Video Entities](https://docs.uiza.io/api-reference/video-entities.md)
- [Retrieve A Video Entity](https://docs.uiza.io/api-reference/video-entities/retrieve-a-video-entity.md): Retrieves the details of an existing video entity. The entity’s id that was returned upon entity creation is required for identifying the exact video entity to be retrieved.
- [Update A Video Entity](https://docs.uiza.io/api-reference/video-entities/update-a-video-entity.md): Updates a specified video entity's name, description, poster and thumbnail imaged. Any parameters not provided will be left unchanged.
- [Publish A Video Entity](https://docs.uiza.io/api-reference/video-entities/publish-a-video-entity.md): Publishes a video entity to Uiza's Content Delivery Network (CDN). Once the video entity is successfully published to Uiza's CDN, it is available to your viewers to watch.
- [Delete A Video Entity](https://docs.uiza.io/api-reference/video-entities/delete-a-video-entity.md): Permanently deletes a video entity. Once a video entity is deleted, it cannot be undone.
- [List All Video Entities](https://docs.uiza.io/api-reference/video-entities/list-all-video-entities.md): Returns a list of existing video entities in sorted order where the most recently created entities show up first.
- [Video Presets](https://docs.uiza.io/api-reference/video-presets.md)
- [Create a Video Preset](https://docs.uiza.io/api-reference/video-presets/create-a-video-preset.md): A live entity and video entity is encoded by attaching a preset. Once a preset is attached to the entity, Uiza will encode the entity according to the profiles in the preset.
- [Retrieve a Video Preset](https://docs.uiza.io/api-reference/video-presets/retrieve-a-video-preset.md): Retrieves the details of an existing video preset. The video preset id is required for retrieval.
- [Update a Video Preset](https://docs.uiza.io/api-reference/video-presets/update-a-video-preset.md): Updates a specific video preset's name and/or description. Any parameters not provided will be left unchanged.
- [Delete a Video Preset](https://docs.uiza.io/api-reference/video-presets/delete-a-video-preset.md): Permanently deletes a video preset. Live streams with the preset will be updated after the current live feed ends. Once a video preset is deleted, it cannot be undone.
- [List all Video Presets](https://docs.uiza.io/api-reference/video-presets/list-all-video-presets.md): Returns a list of existing video presets in descending order by creation date (the most recently created one is on top).
- [Add Profile(s) to Video Preset](https://docs.uiza.io/api-reference/video-presets/add-profile-s-to-video-preset.md): Adds profiles to a video preset. Profiles are given by Uiza and cannot be changed. Maximum number of profiles is determined by User's Tier (Developer - 1, Team - 3, Business - 6).
- [Remove Profile(s) from Video Preset](https://docs.uiza.io/api-reference/video-presets/remove-profile-s-to-video-preset.md): Removes a profile(s) from a video preset. When a preset has 1 profile left, this API cannot be called.
- [Video Profiles](https://docs.uiza.io/api-reference/video-profiles.md)
- [List All Video Profiles](https://docs.uiza.io/api-reference/video-profiles/list-all-video-profiles.md): Returns list of all video profiles given by Uiza.
- [Events](https://docs.uiza.io/api-reference/events.md)
- [Retrieve An Event](https://docs.uiza.io/api-reference/events/retrieve-an-event.md): Retrieves the details of an event. The event’s id that was returned upon retrieving all events is required for identifying the exact one to be retrieved.
- [List All Events](https://docs.uiza.io/api-reference/events/list-all-events.md): Returns a list of all occurred events, in sorted order where the most recently created event shows up first.
- [Event Types](https://docs.uiza.io/api-reference/events/event-types.md)
- [Webhook Endpoints](https://docs.uiza.io/api-reference/webhook_endpoints.md)
- [Create Webhook Endpoint](https://docs.uiza.io/api-reference/webhook_endpoints/create-webhook-endpoint.md): A URL and a secret are required for webhook endpoint creation. While URLs are endpoints where Uiza sends the events to, secrets are used to generate webhook signatures.
- [Retrieve Webhook Endpoint](https://docs.uiza.io/api-reference/webhook_endpoints/retrieve-webhook-endpoint.md): Retrieves the details of an existing webhook. The webhook endpoint's id that was returned upon endpoint creation is required for identifying the exact endpoint.
- [Update Webhook Endpoint](https://docs.uiza.io/api-reference/webhook_endpoints/update-webhook-endpoint.md): Updates the URL or secret of a webhook endpoint. You could also use this API to enable or disable your webhook endpoints. Any parameters not provided will be left unchanged.
- [\[Deprecated\] Update Webhook Endpoint](https://docs.uiza.io/api-reference/webhook_endpoints/deprecated-update-webhook-endpoint.md): Updates the URL or secret of a webhook endpoint. You could also use this API to enable or disable your webhook endpoints. Any parameters not provided will be left unchanged.
- [Delete Webhook Endpoint](https://docs.uiza.io/api-reference/webhook_endpoints/delete-webhook-endpoint.md): Permanently deletes a webhook endpoint. Once a webhook endpoint is deleted, it cannot be undone.
- [List All Webhook Endpoints](https://docs.uiza.io/api-reference/webhook_endpoints/list-all-webhook-endpoints.md): Returns a list of existing webhook endpoints in sorted order where the most recently created endpoints show up first.
- [\[Deprecated\] Enable A Webhook Endpoint](https://docs.uiza.io/api-reference/webhook_endpoints/enable-a-webhook-endpoint.md)
- [\[Deprecated\] Disable A Webhook Endpoint](https://docs.uiza.io/api-reference/webhook_endpoints/disable-a-webhook-endpoint.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
